import JSZip from 'jszip';
import { IChart, Target } from './types';
export default class Chart implements IChart {
    sourceArchive: JSZip;
    targetArchive: JSZip;
    sourceNumber: number;
    targetNumber: number;
    sourceWorksheet: number | string;
    targetWorksheet: number | string;
    targetSlideNumber: number;
    sourceRid: any;
    constructor(relsXmlInfo: Target, sourceArchive: JSZip, targetSlideNumber: number);
    setTarget(archive: JSZip, number: number): void;
    append(): Promise<void>;
    copyFiles(): Promise<void>;
    appendTypes(): Promise<void>;
    copyChartFiles(): Promise<void>;
    editTargetChartRel(): Promise<void>;
    editTargetWorksheetRel(): Promise<void>;
    copyWorksheetFile(): Promise<void>;
    appendChartExtensionToContentType(): Promise<HTMLElement | boolean>;
    appendChartToContentType(): Promise<HTMLElement>;
    appendColorToContentType(): Promise<HTMLElement>;
    appendStyleToContentType(): Promise<HTMLElement>;
}
